curl --request POST \
--url https://api.notifique.dev/v1/validations/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emails": [
"cliente@example.com",
"bounce@dominio-invalido.xyz"
],
"mode": "quick"
}
'{
"success": true,
"data": {
"mode": "quick",
"total_credits_charged": 1,
"results": [
{
"email": "cliente@example.com",
"status": "valid",
"reason": null,
"disposable": false,
"mx_found": true,
"catch_all": false,
"suggested_spelling": null,
"credits_charged": 1
},
{
"email": "bounce@dominio-invalido.xyz",
"status": "invalid",
"reason": "MX record not found",
"disposable": false,
"mx_found": false,
"catch_all": null,
"suggested_spelling": null,
"credits_charged": 0
}
]
}
}Validação (API)
Verificar e-mails (síncrono)
Manda até 10 e-mails e recebe o resultado na mesma resposta. Modo quick (formato, descartável e MX) ou full (inclui caixa de entrada).
POST
/
v1
/
validations
/
email
curl --request POST \
--url https://api.notifique.dev/v1/validations/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emails": [
"cliente@example.com",
"bounce@dominio-invalido.xyz"
],
"mode": "quick"
}
'{
"success": true,
"data": {
"mode": "quick",
"total_credits_charged": 1,
"results": [
{
"email": "cliente@example.com",
"status": "valid",
"reason": null,
"disposable": false,
"mx_found": true,
"catch_all": false,
"suggested_spelling": null,
"credits_charged": 1
},
{
"email": "bounce@dominio-invalido.xyz",
"status": "invalid",
"reason": "MX record not found",
"disposable": false,
"mx_found": false,
"catch_all": null,
"suggested_spelling": null,
"credits_charged": 0
}
]
}
}Autorizações
ntfValBearerAuthntfValApiKeyHeader
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corpo
application/json
Lista de e-mails a verificar (1 a 10).
Required array length:
1 - 10 elementsExemplo:
[
"cliente@example.com",
"bounce@dominio-invalido.xyz"
]
quick = checagens rápidas (formato, MX ou tipo de linha). full = quick + verificação profunda (caixa de entrada ou WhatsApp).
Opções disponíveis:
quick, full Esta página foi útil?

